Bug 261017 - Game Paused text behind game bricks
Summary: Game Paused text behind game bricks
Status: RESOLVED FIXED
Alias: None
Product: kbreakout
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Fela Winkelmolen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-22 23:53 UTC by Frederik Schwarzer
Modified: 2011-03-31 03:09 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frederik Schwarzer 2010-12-22 23:53:56 UTC
Version:           unspecified (using Devel) 
OS:                Linux

The text of the Game Paused box is drawn behind the bricks.

Reproducible: Always

Steps to Reproduce:
Start a game, proceed to level 3 and pause it.
Comment 1 Julian Helfferich 2011-03-26 09:57:53 UTC
I can confirm this bug. It occured after the port to KGameRenderer. The function raise() raises the messageBox, but not the text in it. Is this a bug in KBreakout or in KGameRenderer?
Comment 2 Julian Helfferich 2011-03-26 17:31:12 UTC
I committed a fix for this bug. It is revision 1226078. A diff to the previous version can be found at

http://websvn.kde.org/trunk/KDE/kdegames/kbreakout/src/textitems.cpp?r1=1171953&r2=1226078

Please confirm if this fixes the bug and close the bug report.
Comment 3 Frederik Schwarzer 2011-03-31 03:09:19 UTC
SVN commit 1226604 by schwarzer:

backport or r1226078: Fix message being shown behind the bricks.

The bug was that message boxes were displayed in the background,
especially behind the bricks making the text unreadable.
The function TextItem::show() now explicitely raises the
KGameCanvasItem before showing it.

BUG: 261017


 M  +1 -0      textitems.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1226604